<template>
  <v-dialog :value="visible" persistent width="500">
    <v-card color="primary" dark>
      <v-card-text>
        {{ message }}
        <v-progress-linear
          indeterminate
          color="white"
          class="mb-0"
        ></v-progress-linear>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: ["message"],
  computed: {
    visible() {
      return this.message !== undefined && this.message !== null;
    }
  }
};
</script>

<style></style>
